Subject: Re: bug#61684: can't compose 'with-patch' with 'with-source'

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 25 Feb 2023 14:43:12 -0500

Hi,

Simon Tournier <[email-masked]> writes:

> Hi Maxim,
>
> On Fri, 24 Feb 2023 at 08:52, Maxim Cournoyer <[email-masked]> wrote:
>
>>         if the API was consistent it'd be much easier for everyone
>
> Indeed.  However, when it is currently not, the implicit rule is to not
> break backward compatibility.  That’s the whole point. :-)
>
> We need to be very cautious when we change the API; even when it is for
> fixing an inconsistency.

Agreed; if the current behavior really provides well outlined benefits,
we could always introduce a "--order-sensitive" option for its users.

-- 
Thanks,
Maxim